<?php

error_reporting(0);
session_start();

require_once 'swiftmailer/lib/swift_required.php';

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) 
{
  // Name field
  if (empty($_POST['name'])) {
    $_SESSION['errors']['name'] = 'This field is required';
  } elseif ( ! preg_match( "/^[A-Za-z\s]+$/", $_POST['name'] ) ) {
    $_SESSION['errors']['name'] = 'A valid name is required';
  } else {
    unset($_SESSION['errors']['name']);
  }

  // Contact No. field
  if (empty($_POST['contact_number'])) {
    $_SESSION['errors']['contact_number'] = 'This field is required';
  } elseif( ! preg_match("/^[7-9][0-9]{9}$/", $_POST['contact_number'])) {
    $_SESSION['errors']['contact_number'] = 'Enter your valid contact number';
  } else {
    unset($_SESSION['errors']['contact_number']);
  }

  // Email Address field
  if (empty($_POST['email_address'])) {
    $_SESSION['errors']['email_address'] = 'This field is required';
  } elseif(!filter_var($_POST['email_address'], FILTER_VALIDATE_EMAIL) !== false) {
    $_SESSION['errors']['email_address'] = 'Enter your valid contact email';
  } else {
    unset($_SESSION['errors']['email_address']);
  }

  // Upload resume field
  if ( !is_uploaded_file($_FILES['resume']['tmp_name']) ) {
    $_SESSION['errors']['resume'] = 'This field is required';
  } else {
    // check for file size > 2MB
    if ($_FILES["resume"]["size"] > 2097152) {
      $_SESSION['errors']['resume'] = "File size is more than 2MB";
    }

    // check for mime types
    $allowed_mime_types = array(
      "doc"   => "application/msword",
      "docx"  => "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
      "pdf"   => "application/pdf" 
    );

    $finfo = new \finfo(FILEINFO_MIME_TYPE);

    if (false === $ext = array_search($finfo->file($_FILES['resume']['tmp_name']), $allowed_mime_types, true)) {
      $_SESSION['errors']['resume'] = 'Invalid file format';
    }

    if ( array_search($finfo->file($_FILES['resume']['tmp_name']), $allowed_mime_types, true) && $_FILES["resume"]["size"] <= 2097152 ) {
      unset($_SESSION['errors']['resume']);
    }
  }

  if ( isset($_SESSION['errors']) && count($_SESSION['errors']) > 0 ) {
    // display errors
    if ( !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
      echo json_encode($_SESSION['errors']);
      exit;
    }
  } else {
    // POST data
    $name = trim($_POST["name"]);
    $contact_number = trim($_POST["contact_number"]);
    $email_address = trim($_POST["email_address"]);
    $dob = trim($_POST['dob']);

    $mail_body = "
      <table border='0' cellspacing='4' cellpadding='2'>
        <tr>
          <td><strong>Name:</strong></td>
          <td>{$name}</td>
        </tr>
        <tr>
          <td><strong>Contact No.:</strong></td>
          <td>{$contact_number}</td>
        </tr>
        <tr>
          <td><strong>Email Address:</strong></td>
          <td>{$email_address}</td>
        </tr>
        <tr>
          <td><strong>Date of Birth:</strong></td>
          <td>{$dob}</td>
        </tr>
      </table>
    ";

    // Create the mail transport configuration
    $transport = Swift_MailTransport::newInstance();

    // Create the message
    $message = Swift_Message::newInstance();

    $message->setTo(array(
        "parthasarathigk@ubiquantum.com" => "Career Form"
    ));

    $message->setSubject("Career form submission from website");

    $message->setBody($mail_body, "text/html");

    $message->setFrom("www@example-website.com", "Career Form");
    $message->setReplyTo("$email_address", "$name");
    
    if ( is_uploaded_file($_FILES['resume']['tmp_name']) ) {
      $message->attach(
        Swift_Attachment::fromPath($_FILES['resume']['tmp_name'])->setFilename($_FILES['resume']['name'])
      );
    }

    // Send the email
    $mailer = Swift_Mailer::newInstance($transport);
    $mailer->send($message);

    echo "success";
  }
}

session_destroy();
?>