<?php

use Google\Spreadsheet\SpreadsheetService;
use Google\Spreadsheet\DefaultServiceRequest;
use Google\Spreadsheet\ServiceRequestFactory;

class AddToGoogleSpreadSheet
{
    private $client;

    public function __construct()
    {
        $this->bootstrap();
    }

    public function reservations($rowData)
    {
        $this->getReservationsSheet("Reservations")->getListFeed()->insert($rowData);
    }
	
	public function contacts($rowData)
	{
		$this->getContactsSheet("Contacts")->getListFeed()->insert($rowData);
	}

    private function bootstrap()
    {
        $this->client = new Google_Client();
        $this->client->useApplicationDefaultCredentials();

        $this->client->setApplicationName("Sweat by Swetha");
        $this->client->setScopes(['https://www.googleapis.com/auth/drive','https://spreadsheets.google.com/feeds']);

        if ($this->client->isAccessTokenExpired()) {
            $this->client->refreshTokenWithAssertion();
        }

        $accessToken = $this->client->fetchAccessTokenWithAssertion()["access_token"];
        ServiceRequestFactory::setInstance(
            new DefaultServiceRequest($accessToken)
        );
    }

    private function getSpreadSheet($name = "Sweat by Swetha")
    {
        return (new SpreadsheetService)->getSpreadsheetFeed()->getByTitle($name);
    }

    private function getReservationsSheet($name)
    {
        $worksheet = $this->getSpreadSheet()->getWorksheetFeed()->getByTitle($name);

        // Required if headers are not added yet.
        // $cellFeed = $worksheet->getCellFeed();

        // $cellFeed->editCell(1, 1, "Name");
        // $cellFeed->editCell(1, 2, "Email");
        // $cellFeed->editCell(1, 3, "Mobile");
        // $cellFeed->editCell(1, 4, "Enquired at");

        return $worksheet;
    }
    private function getContactsSheet($name)
    {
        $worksheet = $this->getSpreadSheet()->getWorkSheetFeed()->getByTitle($name);

        // Required if headers are not added yet.
        // $cellFeed = $worksheet->getCellFeed();

        // $cellFeed->editCell(1, 1, "Name");
        // $cellFeed->editCell(1, 2, "Email");
        // $cellFeed->editCell(1, 3, "Mobile");
        // $cellFeed->editCell(1, 4, "Message");
        // $cellFeed->editCell(1, 5, "Enquired at");

        return $worksheet;
    }
}
