<?php

class SendEmail
{
    /**
     * Admin Email.
     */
    public function toEvent1Admin($data)
    {
        // Import variables from given array data.
        extract($data);

        $mail_subject = "Enquiry from Footy with the Hans Event";
        $mail_from = ['enquiry@sweatbyswetha.com' => 'SweatBySwetha.com'];
        $mail_to = ['ricky@sweatbyswetha.com' => 'SweatBySwetha.com - Footy with the Hans'];
        $mail_reply_to = [$email => $name];

        $mail_body = "
            <table border='0' cellspacing='4' cellpadding='2'>
                <tr>
                    <td><strong>Name:</strong></td>
                    <td>{$name}</td>
                </tr>
                <tr>
                    <td><strong>Email:</strong></td>
                    <td>{$email}</td>
                </tr>
                <tr>
                    <td><strong>Mobile:</strong></td>
                    <td>{$mobile}</td>
                </tr>
            </table>
        ";

        return $this->fire($mail_to, $mail_subject, $mail_body, $mail_from, $mail_reply_to);
    }
    
    /**
     * User Email.
     */
    public function toEvent1User($data)
    {
        // Import variables from given array data.
        extract($data);

        $mail_subject = "Acknowledging your Enquiry at SweatBySwetha.com";
        $mail_from = ['enquiry@sweatbyswetha.com' => 'SweatBySwetha.com - Footy with the Hans'];
        $mail_to = [$email => $name];
        $mail_reply_to = ['ricky@sweatbyswetha.com' => 'SweatBySwetha.com - Footy with the Hans'];

        $mail_body = "
            <p>Dear {$name},</p>
            <p>Greetings from SweatBySwetha. Thank you for registering with us.</p>
            <p>If you have any questions, feel free to call us at +91 9945554381.</p>
            <p>Thank you.</p>
        ";

        return $this->fire($mail_to, $mail_subject, $mail_body, $mail_from, $mail_reply_to);
    }
    

    /**
     * Admin Email.
     */
    public function toEvent2Admin($data)
    {
        // Import variables from given array data.
        extract($data);

        $mail_subject = "Enquiry from SWEAT SUNDAYS Event (19th Nov 2017)";
        $mail_from = ['enquiry@sweatbyswetha.com' => 'SweatBySwetha.com'];
        $mail_to = ['ricky@sweatbyswetha.com' => 'SweatBySwetha.com - SWEAT SUNDAYS (5K Run + Zumba)'];
        $mail_reply_to = [$email => $name];

        $mail_body = "
            <table border='0' cellspacing='4' cellpadding='2'>
                <tr>
                    <td><strong>Name:</strong></td>
                    <td>{$name}</td>
                </tr>
                <tr>
                    <td><strong>Email:</strong></td>
                    <td>{$email}</td>
                </tr>
                <tr>
                    <td><strong>Mobile:</strong></td>
                    <td>{$mobile}</td>
                </tr>
            </table>
        ";

        return $this->fire($mail_to, $mail_subject, $mail_body, $mail_from, $mail_reply_to);
    }
    
    /**
     * User Email.
     */
    public function toEvent2User($data)
    {
        // Import variables from given array data.
        extract($data);

        $mail_subject = "Acknowledging your Enquiry at SweatBySwetha.com";
        $mail_from = ['enquiry@sweatbyswetha.com' => 'SweatBySwetha.com - SWEAT SUNDAYS (5K Run + Zumba)'];
        $mail_to = [$email => $name];
        $mail_reply_to = ['ricky@sweatbyswetha.com' => 'SweatBySwetha.com - SWEAT SUNDAYS (5K Run + Zumba)'];

        $mail_body = "
            <p>Dear {$name},</p>
            <p>Greetings from SweatBySwetha Thank you for registering with us.</p>
            <p>If you have any questions, feel free to call us at +91 9945554381.</p>
            <p>Thank you.</p>
        ";

        return $this->fire($mail_to, $mail_subject, $mail_body, $mail_from, $mail_reply_to);
    }
	
    public function toContactsAdmin($data)
    {
        // Import variables from given array data.
        extract($data);

        $mail_subject = "Reservation from Contact Form";
        $mail_from = ['enquiry@sweatbyswetha.com' => 'SweatBySwetha.com'];
        $mail_to = ['ricky@sweatbyswetha.com' => 'SweatBySwetha.com - Contacts'];
        $mail_reply_to = [$email => $name];

        $mail_body = "
            <table border='0' cellspacing='4' cellpadding='2'>
                <tr>
                    <td><strong>Name:</strong></td>
                    <td>{$name}</td>
                </tr>
                <tr>
                    <td><strong>Email:</strong></td>
                    <td>{$email}</td>
                </tr>
                <tr>
                    <td><strong>Mobile:</strong></td>
                    <td>{$mobile}</td>
                </tr>
				<tr>
                    <td><strong>Message:</strong></td>
                    <td>{$message}</td>
                </tr>
            </table>
        ";

        return $this->fire($mail_to, $mail_subject, $mail_body, $mail_from, $mail_reply_to);
    }
	
	/**
     * User Email.
     */
    public function toContactsUser($data)
    {
        // Import variables from given array data.
        extract($data);

        $mail_subject = "Acknowledging your Enquiry at SweatBySwetha.com";
        $mail_from = ['enquiry@sweatbyswetha.com' => 'SweatBySwetha.com - Contacts'];
        $mail_to = [$email => $name];
        $mail_reply_to = ['ricky@sweatbyswetha.com' => 'SweatBySwetha.com - Contacts'];

        $mail_body = "
            <p>Dear {$name},</p>
            <p>Greetings from SweatBySwetha.com! Thank you for choosing us.</p>
            <p>We have received your enquiry. One of our relationship managers will get in touch with you.</p>
            <p>If you have any questions, feel free to call us at  +91 9945554381.</p>
            <p>Thank you.</p>
        ";

        return $this->fire($mail_to, $mail_subject, $mail_body, $mail_from, $mail_reply_to);
    }
	
	
	
    /**
     * Send email.
     */
    private function fire($to, $subject, $body, $from, $replyTo)
    {
        // Create the Transport
        $transport = new Swift_SendmailTransport('/usr/sbin/sendmail -t');

        // Create the Mailer using your created Transport
        $mailer = new Swift_Mailer($transport);


        // Create a message
        $message = (new Swift_Message($subject))
                        ->setFrom($from)
                        ->setTo($to)
                        ->setReplyTo($replyTo)
                        ->setBody($body, "text/html");


        // Send the message
        return $mailer->send($message);
    }
}




