(function($) {
  "use strict";

  $('#contact_form').on('submit', function(event) {
    event.preventDefault();
    var formData = new FormData($(this)[0]);

    $.ajax({
      url: $(this).attr('action'),
      type: $(this).attr('method'),
      data: formData,
      cache: false,
      contentType: false,
      processData: false,
      beforeSend: function() {
        $('button[type="submit"]').prop('disabled', true);
      },
      success: function(response) {
        resetErrors();

        if (response == 'success') {
          $('#contact_form input, #contact_form textarea').val('');
          $('#form-msg').html("Thank you for contacting us. We'll get in touch with you soon.");
        } else {
          $.each($.parseJSON(response), function(id, error) {
            var msg = '<label class="error message" for="'+id+'">'+error+'</label>';
            $('input[name="'+id+'"],textarea[name="'+id+'"]').addClass('error').after(msg);
            $('input[name="'+id+'"],textarea[name="'+id+'"]').siblings('label').addClass('error');
          });
          $('button[type="submit"]').prop('disabled', false);
        }
      }
    });
  });

  $('#career_form').on('submit', function(event) {
    event.preventDefault();
    var formData = new FormData($(this)[0]);

    $.ajax({
      url: $(this).attr('action'),
      type: $(this).attr('method'),
      data: formData,
      cache: false,
      contentType: false,
      processData: false,
      beforeSend: function() {
        $('button[type="submit"]').prop('disabled', true);
      },
      success: function(response) {
        resetErrors();

        if (response == 'success') {
          $('#career_form input, #career_form textarea').val('');
          $('#form-msg').html("Thank you for your interest in joining us. We'll get in touch with you soon.");
        } else {
          $.each($.parseJSON(response), function(id, error) {
            var msg = '<label class="error message" for="'+id+'">'+error+'</label>';
            $('input[name="'+id+'"],textarea[name="'+id+'"]').addClass('error').after(msg);
            $('input[name="'+id+'"],textarea[name="'+id+'"]').siblings('label').addClass('error');
          });
          $('button[type="submit"]').prop('disabled', false);
        }
      }
    });
  });

})(jQuery);

function resetErrors() {
  $('form input, form select, form textarea').removeClass('error');
  $('label').removeClass('error');
  $('label.message').remove();
}